| Home | Libraries | People | FAQ | More

#### file

An implementation of File.

##### Synopsis

Defined in header `<boost/beast/core/file.hpp>`

    struct file :
        public file_stdio

##### Types

Name | Description
--- | ---
native_handle_type | The type of the underlying file handle.

##### Member Functions

Name | Description
--- | ---
close | Close the file if open.
is_open | Returns `true` if the file is open.
native_handle | Returns the native handle associated with the file. — Set the native handle associated with the file.
open | Open a file at the given path with the specified mode.
pos | Return the current position in the open file.
read | Read from the open file.
seek | Adjust the current position in the open file.
size | Return the size of the open file.
write | Write to the open file.

##### Description

This alias is set to the best available implementation of File given the platform and build settings.